package xyz.twovb.sgm.games.impl.capturethebrick.events;
/*
 * Created by 2vb - 7/7/2024
 */

import net.kyori.adventure.text.Component;
import org.bukkit.entity.Player;
import org.bukkit.event.Cancellable;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;
import org.jetbrains.annotations.NotNull;
import xyz.twovb.sgm.games.impl.capturethebrick.CTB;
import xyz.twovb.toolbox.utils.ChatUtils;

public class PlayerStealBrickEvent extends Event implements Cancellable {
    private static final HandlerList HANDLER_LIST = new HandlerList();
    private final Player jailed;
    private boolean isCancelled;

    private Component message;

    public PlayerStealBrickEvent(Player jailed) {
        this.jailed = jailed;
        this.isCancelled = false;
        this.message = ChatUtils.translate(CTB.getMessages().getString("system.player.brick.steal.notify"));
    }

    public static HandlerList getHandlerList() {
        return HANDLER_LIST;
    }

    public Player getJailed() {
        return this.jailed;
    }

    public Component getMessage() {
        return message;
    }

    public void setMessage(Component message) {
        this.message = message;
    }

    @Override
    public HandlerList getHandlers() {
        return HANDLER_LIST;
    }

    @Override
    public boolean isCancelled() {
        return this.isCancelled;
    }

    @Override
    public void setCancelled(boolean cancelled) {
        this.isCancelled = cancelled;
    }
}
