package xyz.twovb.sgm.games.impl.capturethebrick.events;
/*
 * Created by 2vb - 7/7/2024
 */

import net.kyori.adventure.text.Component;
import org.bukkit.entity.Player;
import org.bukkit.event.Cancellable;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class PlayerTaggedEvent extends Event implements Cancellable {

    private static final HandlerList HANDLER_LIST = new HandlerList();
    private final Player tagged;
    private final Player tagger;
    private boolean isCancelled;

    private Component message;

    public PlayerTaggedEvent(Player tagged, Player tagger) {
        this.tagged = tagged;
        this.tagger = tagger;
        this.isCancelled = false;
    }

    public static HandlerList getHandlerList() {
        return HANDLER_LIST;
    }

    public Player getTagged() {
        return this.tagged;
    }

    public Player getTagger() {
        return this.tagger;
    }

    @Override
    public HandlerList getHandlers() {
        return HANDLER_LIST;
    }

    @Override
    public boolean isCancelled() {
        return this.isCancelled;
    }

    @Override
    public void setCancelled(boolean cancelled) {
        this.isCancelled = cancelled;
    }

}
